package gov.va.med.esr.common.builder.entity;

import gov.va.med.esr.common.model.party.Email;

/**
 * Metadata to encapsulate email info from message
 * 
 * @author Rajiv Patnaik
 * Created on Jan 27, 2006
 * @version 1.0
 * 
 * Copyright © 2005 VHA. All rights reserved
 */
public interface EmailMetaData
{
    public Email getEntity();

    public void setEntity(Email entity);

    public String getChangeSite();

    public String getChangeSource();    
    
    public String getChangeDate();    

    public String getEmailAddress();

    public String getType();

    public String getTelecomUseCode();  
    

}
